Packages - Freedom Issue #1651

[iceweasel] Pre-Compiled Binaries
2018-02-28 01:15 AM - g4jc

Status: fixed % Done: 100%
Priority: bug

Assignee: oaken-source

Category:

Description

Just bumped into this issue while preparing Iceweasel-Hardened 58 and getting ready for FF60. As of 58 there are 8 pre-built
binaries.

https:/lintian.debian.org/full/pkg-mozilla-maintainers@lists.alioth.debian.org.html#firefox_58.0.1-1

source-contains-prebuilt-binary

third_party/python/psutil/build/lib.linux-x86_64-2.7/psutil/_psutil_linux.so
third_party/python/psutil/build/lib.linux-x86_64-2.7/psutil/_psutil_posix.so
third_party/python/psutil/build/temp.linux-x86_64-2.7/psutil/_psutil_linux.o
third_party/python/psutil/build/temp.linux-x86_64-2.7/psutil/_psutil_posix.o
third_party/python/psutil/psutil/_psutil_linux.so

third_party/python/psutil/psutil/_psutil_posix.so

third_party/rust/lazy_static-0.1.16/src/liblib.so
toolkit/crashreporter/google-breakpad/src/tools/solaris/dump_syms/testdata/dump_syms_regtest.o

Since we do not use crash reporter it can be safely removed. The remaining files will need to be researched/tested.

History

#1 - 2019-02-09 06:44 AM - bill-auger
- Assignee set to oaken-source

- Status changed from open to info needed

i just came across this and wanted to bump it, to see if it was still relevant or can be closed

#2 - 2019-02-09 08:43 AM - oaken-source
- % Done changed from 0 to 100

- Status changed from info needed to fixed

we are building iceweasel from mozilla-unified (https://hg.mozilla.org/mozilla-unified/file)

the binaries you listed in third-party/ do not exist in the repository, they might only be in the release tarball (which we don't use)
and the last file looks benign -- from the path it only appears to be used as input data for a test, for a solaris-specific version of a feature that we have
disabled anyway.

So | think this can be closed. Thanks for the ping!
#3 - 2019-02-20 10:15 AM - oaken-source

we have moved back to the source tarball now, and it seems these files are gone from that as well.
it has been suggested to me that these files were added to the source tarball as a mistake in the first place.
